Cloudbleed Feb 27 2017

As you have most likely heard, a serious security vulnerability (nicknamed "Cloudbleed") was recently revealed and has impacted many secure websites that use the CloudFlare caching service.

PaymentEvolution and your payroll account has NOT been impacted.

PaymentEvolution does not use the CloudFlare caching service attributed to this vulnerability. Nevertheless, we do take the security and privacy of your data very seriously. There are a few common-sense ways to continue to protect your accounts (at PaymentEvolution and other websites):

  • Protect your password and change it regularly
  • Don't re-use your password
  • Ensure you use unique passwords for each web service you are subscribed to

If you have any questions please get in touch - support@paymentevolution.com 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments